#
# spec file for package perl-Date-Calc (Version 4.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Date-Calc
Copyright:    Copyright (c) 1995, 1996, 1997, 1998 by Steffen Beyer
Group:        Development/Libraries/Perl
Provides:     DateCalc perl_dc
Obsoletes:    perl_dc
Autoreqprov:  on
Version:      4.3
Release:      112
Summary:      Perl Date-Calc Module
Source:       Date-Calc-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root

%description
This package consists of a C library and a Perl module (which uses
the C library, internally) for all kinds of date calculations based
on the Gregorian calendar (the one used in all western countries today),
thereby complying with all relevant norms and standards: ISO/R 2015-1971,
DIN 1355 and, to some extent, ISO 8601 (where applicable).
(See also http://www.engelschall.com/u/sb/download/Date-Calc/DIN1355/
for a scan of part of the "DIN 1355" document (in German)).
The module of course handles year numbers of 2000 and above correctly
("Year 2000" or "Y2K" compliance) -- actually all year numbers from 1
to the largest positive integer representable on your system (which
is at least 32767) can be dealt with.
Note that this package EXTRAPOLATES the Gregorian calendar BACK
until the year 1 A.D. -- even though the Gregorian calendar was only
adopted in 1582 by most (not all) European countries, in obedience to
the corresponding decree of catholic pope Gregor I in that year.
Some (mainly protestant) countries continued to use the Julian calendar
(used until then) until as late as the beginning of the 20th century.
Finally, note that this package is not intended to do everything you could
ever imagine automagically for you; it is rather intended to serve as a
toolbox (in the best of UNIX spirit and traditions) which should, however,
always get you where you want to go.

Authors:
--------
    Steffen Beyer <sb@engelschall.com>

SuSE series: perl

%prep
%setup -n Date-Calc-%{version}

%build
perl Makefile.PL 
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT; 
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT/$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Date-Calc

%files 
%defattr(-, root, root)
%doc %{_mandir}/man3/Date::Calc.3pm.gz
/var/adm/perl-modules/perl-Date-Calc
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Date/Calc/Calc.so
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Date/Calc/Calc.bs
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Date/Calc/.packlist
/usr/lib/perl5/site_perl/5.*/*-linux/Date/Calc.pm

%changelog -n perl-Date-Calc
* Mon Nov 06 2000 - grimmer@suse.de
- renamed from perl_dc to perl-Date-Calc
- update to Version 4.3
- spec file cleanups (macros, BuildRoot)
* Fri Jan 21 2000 - ro@suse.de
- fixed filelist
* Thu Oct 28 1999 - tmg@suse.de
- created package (Date-Calc-4.2)
